Bug 118113 - Segmentation fault when STOR command issued
Summary: Segmentation fault when STOR command issued
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: wu-ftpd (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 01:55 UTC by Con Tassios
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-15 11:10:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Con Tassios 2004-03-12 01:55:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
The updated wu-ftpd RHSA-2004:096-09 seems to seg fault after a STOR
command is issued.

Mar 12 12:53:52 s1 ftpd[26069]: USER ct
Mar 12 12:53:54 s1 ftpd[26069]: PASS password
Mar 12 12:53:54 s1 ftpd[26069]: FTP LOGIN FROM ct.cc.swin.edu.au
[136.186.1.50], ct
Mar 12 12:53:54 s1 ftpd[26069]: SYST
Mar 12 12:53:57 s1 ftpd[26069]: MKD tmp2
Mar 12 12:54:00 s1 ftpd[26069]: CWD tmp2
Mar 12 12:54:01 s1 ftpd[26069]: TYPE Image
Mar 12 12:54:04 s1 ftpd[26069]: PASV
Mar 12 12:54:04 s1 ftpd[26069]: STOR list1
Mar 12 12:54:04 s1 ftpd[26069]: exiting on signal 11: Segmentation fault

Version-Release number of selected component (if applicable):
wu-ftpd-2.6.1-22

How reproducible:
Always

Steps to Reproduce:
1. Update wu-ftpd to wu-ftpd-2.6.1-22
2. Attempt to upload a file
3.
    

Actual Results:  FTP session is terminated after a single file is
transferred.

Additional info:

Comment 2 Con Tassios 2004-03-16 11:28:22 UTC
Yes, these RPMs are working as expected.


Note You need to log in before you can comment on or make changes to this bug.